# ApplicationFramework
TKBinL
BinTools

# BinTools_SurfaceSet Class Reference

Stores a set of Surfaces from Geom in binary format.
.

`#include <BinTools_SurfaceSet.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | BinTools_SurfaceSet ()
| Returns an empty set of Surfaces. .
Standard_EXPORT void | Clear ()
| Clears the content of the set. .
Standard_EXPORT Standard_Integer | Add (const Handle(Geom_Surface)&S)
| Incorporate a new Surface in the set and returns its index. .
Standard_EXPORT Handle_Geom_Surface | Surface (const Standard_Integer I) const
| Returns the Surface of index . .
Standard_EXPORT Standard_Integer | Index (const Handle(Geom_Surface)&S) const
| Returns the index of <l>. .
Standard_EXPORT void | Write (Standard_OStream &OS) const
| Writes the content of me on the stream <os> in binary format that can be read back by Read. .
Standard_EXPORT void | Read (Standard_IStream &IS)
| Reads the content of me from the stream <is>. me is first cleared. .

## Static Public Member Functions

static Standard_EXPORT void | WriteSurface (const Handle(Geom_Surface)&S, Standard_OStream &OS)
| Dumps the surface on the stream in binary format that can be read back. .
static Standard_EXPORT Standard_IStream & | ReadSurface (Standard_IStream &IS, Handle(Geom_Surface)&S)
| Reads the surface from the stream. The surface is assumed to have been written with the Write method. .

## Private Attributes

TColStd_IndexedMapOfTransient | myMap

## Constructor & Destructor Documentation

Standard_EXPORT BinTools_SurfaceSet::BinTools_SurfaceSet | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer BinTools_SurfaceSet::Add | ( | const Handle(Geom_Surface)& | S | ) |

Standard_EXPORT void BinTools_SurfaceSet::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer BinTools_SurfaceSet::Index | ( | const Handle(Geom_Surface)& | S | ) | const

void BinTools_SurfaceSet::operator delete | ( | void * | anAddress | ) | `[inline]`

void* BinTools_SurfaceSet::operator new | ( | size_t | size | ) | `[inline]`

void* BinTools_SurfaceSet::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void BinTools_SurfaceSet::Read | ( | Standard_IStream & | IS | ) |

static Standard_EXPORT Standard_IStream& BinTools_SurfaceSet::ReadSurface | ( | Standard_IStream & | IS,
|  | Handle(Geom_Surface)& | S
| ) | `[static]`

Standard_EXPORT Handle_Geom_Surface BinTools_SurfaceSet::Surface | ( | const Standard_Integer | I | ) | const

Standard_EXPORT void BinTools_SurfaceSet::Write | ( | Standard_OStream & | OS | ) | const

static Standard_EXPORT void BinTools_SurfaceSet::WriteSurface | ( | const Handle(Geom_Surface)& | S,
|  | Standard_OStream & | OS
| ) | `[static]`

## Field Documentation

TColStd_IndexedMapOfTransient BinTools_SurfaceSet::myMap`[private]`

The documentation for this class was generated from the following file:

- BinTools_SurfaceSet.hxx